package me.zhengjie.modules.dm.printingCount.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;
import me.zhengjie.annotation.Query;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.device.service.dto.DmDeviceDto;
import me.zhengjie.modules.dm.user.service.dto.DmUserDto;
import me.zhengjie.modules.system.domain.Dept;

import java.io.Serializable;

@Data
public class DmPrintingCountDto extends BaseDTO implements Serializable {
    /** 主键 */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 姓名 */
    private DmUserDto countUser;

    /** 打印文档名称 */
    private String taskName;

    /** 份数 */
    private String fileRepeatNum;

    /** 页数 */
    private String filePageNum;

    /** 打印机 */
    private DmDeviceDto countDevice;
}
