package me.zhengjie.modules.dm.printingCount.service.dto;

import lombok.Data;
import me.zhengjie.annotation.Query;
import me.zhengjie.modules.system.domain.Dept;

@Data
public class DmPrintingCountQueryCriteria {

    /** 精确 */
    @Query(type = Query.Type.INNER_LIKE, propName = "name", joinName = "countUser")//propName: 所连接表的字段名(显示值)，joinName：dto中对象值，前端(对应)
    private String userName;

    /** 模糊 */
    @Query(type = Query.Type.INNER_LIKE)
    private String taskName;

    /** 精确 */
    @Query
    private Integer filePageNum;

    /** 精确 */
    @Query
    private Integer fileRepeatNum;

    /** 精确 */
    @Query(type = Query.Type.INNER_LIKE, propName = "code", joinName = "countDevice")
    private String printerCode;
}
